Bug 110379 - Stale lock files continually recreated on login
Summary: Stale lock files continually recreated on login
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 1
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-18 22:21 UTC by Bruce Riley
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-19 14:32:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruce Riley 2003-11-18 22:21:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Stale lock files are created in the rpm directory.  I have removed 
them and rebuilt the database,  but if I log out and log back in 
again,  the __db.003 file is recreated straight away.  If I reboot 
and log in all __db.001 through to __db.003 files are recreated.  
This happens even though I do not run rpm after login,  or attempt to 
install any  packages.

Version-Release number of selected component (if applicable):
4Suite

How reproducible:
Always

Steps to Reproduce:
1.Remove all __db* files from rpm directory
2.rpm -vv --rebuilddb
3.logout
4. login 
    

Actual Results:  __db.003 file created in rpm directory.
rpm hangs on attempting to install a package.

Expected Results:  No lock files created

Additional info:

Comment 1 Jeff Johnson 2003-11-19 14:32:18 UTC
The __db* files contain locks, but are not the locks themselves.

Yes, the files should be persistent after being created by 1st
rpm command run as root.

You can see the locks by doing
    cd /var/lib/rpm
    /usr/lib/rpm/rpmdb_stat -CA
There should be no locks when rpm is not running.

If login is creating stale locks, then you are running
rpm in your bashrc scripts somehow.


Note You need to log in before you can comment on or make changes to this bug.